Skip to main content
GET
/
v1
/
eval-rules
List eval rules for the tenant
curl --request GET \
  --url https://api.trulayer.ai/v1/eval-rules \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metric_name": "<string>",
      "evaluator_type": "llm",
      "enabled": true,
      "model_tier": "cheap",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "config": {},
      "min_score_drop": 1
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.trulayer.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

SDK API key (tl_...) or Clerk session JWT

Query Parameters

project_id
string<uuid>

Response

Eval rules list

items
object[]
required